kdecore Library: KIcon Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIcon Class Reference

One icon as found by KIconTheme. More...

`#include <kicontheme.h>`

Collaboration diagram for KIcon:

[legend]
List of all members.

## Public Types
enum | Context { Any, Action, Application, Device, FileSystem, MimeType }
enum | Type { Fixed, Scalable, Threshold }
enum | MatchType { MatchExact, MatchBest }
enum | Group { NoGroup = -1, Desktop = 0, FirstGroup = 0, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
enum | StdSizes { SizeSmall = 16, SizeSmallMedium = 22, SizeMedium = 32, SizeLarge = 48, SizeHuge = 64, SizeEnormous = 128 }
enum | States { DefaultState, ActiveState, DisabledState, LastState }
enum | Overlays { LockOverlay = 0x100, ZipOverlay = 0x200, LinkOverlay = 0x400, HiddenOverlay = 0x800, ShareOverlay = 0x1000, OverlayMask = ~0xff }
## Public Member Functions
bool | isValid () const
## Public Attributes
int | size
Context | context
Type | type
int | threshold
QString | path

## Detailed Description

One icon as found by KIconTheme.

Also serves as a namespace containing icon related constants.

See also:
  KIconEffect

  KIconTheme

  KIconLoader

Definition at line 35 of file kicontheme.h.

## Member Enumeration Documentation

enum KIcon::Context

  | Defines the context of the icon. Enumeration values:
  Any | Some icon with unknown purpose.
  Action | An action icon (e.g. 'save', 'print').
  Application | An icon that represents an application.
  Device | An icon that represents a device.
  FileSystem | An icon that represents a file system.
  MimeType | An icon that represents a mime type (or file type).
Definition at line 48 of file kicontheme.h.

enum KIcon::Type

  | The type of the icon. Enumeration values:
  Fixed | Fixed-size icon.
  Scalable | Scalable-size icon.
  Threshold | A threshold icon.
Definition at line 60 of file kicontheme.h.

enum KIcon::MatchType

  | The type of a match. Enumeration values:
  MatchExact | Only try to find an exact match.
  MatchBest | Take the best match if there is no exact match.
Definition at line 69 of file kicontheme.h.

enum KIcon::Group

  | The group of the icon. Enumeration values:
  NoGroup | No group.
  Desktop | Desktop icons.
  FirstGroup | First group.
  Toolbar | Toolbar icons.
  MainToolbar | Main toolbar icons.
  Small | Small icons.
  Panel | Panel (Kicker) icons.
  LastGroup | Last group.
  User | User icons.
Definition at line 80 of file kicontheme.h.

enum KIcon::StdSizes

  | These are the standard sizes for icons. Enumeration values:
  SizeSmall | small icons for menu entries
  SizeSmallMedium | slightly larger small icons for toolbars, panels, etc
  SizeMedium | medium sized icons for the desktop
  SizeLarge | large sized icons for the panel
  SizeHuge | huge sized icons for iconviews
  SizeEnormous | enormous sized icons for iconviews
Definition at line 104 of file kicontheme.h.

enum KIcon::States

  | Defines the possible states of an icon. Enumeration values:
  DefaultState | The default state.
  ActiveState | Icon is active.
  DisabledState | Icon is disabled.
  LastState | Last state (last constant).
Definition at line 122 of file kicontheme.h.

enum KIcon::Overlays

  | This defines an overlay, a semi-transparent image that is projected onto the icon. They are used to show that the file represented by the icon is, for example, locked, zipped or hidden. Enumeration values:
  LockOverlay | a file is locked
  ZipOverlay | a file is zipped
  LinkOverlay | a file is a link
  HiddenOverlay | a file is hidden
  ShareOverlay | a file is shared
Definition at line 133 of file kicontheme.h.

## Member Function Documentation

bool KIcon::isValid | ( |  | ) | const`[inline]`

| Return true if this icon is valid, false otherwise. Definition at line 43 of file kicontheme.h. Referenced by KIconLoader::iconPath(), KIconLoader::loadAnimated(), KIconLoader::loadIcon(), and KIconLoader::moviePath().

## Member Data Documentation

int KIcon::size

| The size in pixels of the icon. Definition at line 145 of file kicontheme.h. Referenced by KIconTheme::iconPath().

Context KIcon::context

| The context of the icon. Definition at line 150 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and KIconLoader::loadIcon().

Type KIcon::type

| The type of the icon: Fixed, Scalable or Threshold. Definition at line 155 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and KIconLoader::loadIcon().

int KIcon::threshold

| The threshold in case type == Threshold. Definition at line 160 of file kicontheme.h. Referenced by KIconTheme::iconPath(), and KIconLoader::loadIcon().

QString KIcon::path

| The full path of the icon. Definition at line 165 of file kicontheme.h. Referenced by KIconTheme::iconPath(), KIconLoader::iconPath(), KIconLoader::loadAnimated(), KIconLoader::loadIcon(), and KIconLoader::moviePath().

The documentation for this class was generated from the following file:

- kicontheme.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:40 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003